experimental/algorithm File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | __cpp_lib_experimental_sample
#define | _GLIBCXX_EXPERIMENTAL_ALGORITHM

## Functions

template<typename _PopulationIterator , typename _SampleIterator , typename _Distance >
_SampleIterator | std::experimental::sample (_PopulationIterator __first, _PopulationIterator __last, _SampleIterator __out, _Distance __n)
template<typename _PopulationIterator , typename _SampleIterator , typename _Distance , typename _UniformRandomNumberGenerator >
_SampleIterator | std::experimental::sample (_PopulationIterator __first, _PopulationIterator __last, _SampleIterator __out, _Distance __n, _UniformRandomNumberGenerator &&__g)
template<typename _ForwardIterator , typename _Searcher >
_ForwardIterator | std::experimental::search (_ForwardIterator __first, _ForwardIterator __last, const _Searcher &__searcher)
template<typename _RandomAccessIterator >
void | std::experimental::shuffle (_RandomAccessIterator __first, _RandomAccessIterator __last)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/algorithm.

## Function Documentation

## sample()

template<typename _PopulationIterator , typename _SampleIterator , typename _Distance , typename _UniformRandomNumberGenerator >

_SampleIterator std::experimental::fundamentals_v2::sample | ( | _PopulationIterator | __first,
|  | _PopulationIterator | __last,
|  | _SampleIterator | __out,
|  | _Distance | __n,
|  | _UniformRandomNumberGenerator && | __g
| ) |  |

Take a random sample from a population.

Definition at line 60 of file experimental/algorithm.